Bug 136385 - Shapes moves to different position after undo of anchor to page
Summary: Shapes moves to different position after undo of anchor to page
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:7.1.0 target:7.0.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-09-01 21:44 UTC by Telesto
Modified: 2020-10-26 15:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-09-01 21:44:06 UTC
Description:
Shapes moves to different position after undo of anchor to page

Steps to Reproduce:
1. Open attachment 164995 [details]
2. Select the textbox
3. Right Click -> Anchor to page
4. CTRL+Z

Actual Results:
Shape moves to a different position

Expected Results:
Should stay put


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 1e0cfd5662d95cea84e80e4fe10d52c3b1101ae6
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

no repro with
Version: 7.0.0.0.alpha1+ (x64)
Build ID: 99c4fefdbb6129a58421b9c7f...
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Attila Baraksó (NISZ) 2020-09-24 08:02:39 UTC
Reproduced in:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 0f99330f33868594ad253656805918115823f59d
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 2 Attila Baraksó (NISZ) 2020-09-24 08:18:34 UTC
Bibisected using bibisect-win64-7.1 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=1de2b0d3234462b488db54d36ebc17e2b579b0f0
author: Michael Stahl <Michael.Stahl@cib.de>
committer: Michael Stahl <Michael.Stahl@cib.de>
summary: tdf#135464 sw: avoid invalid combinations of HoriOrientRelation and FLY_AT_PAGE

Adding CC: Michael Stahl
Comment 3 Commit Notification 2020-10-20 20:08:57 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1b3310a5805cf50f7aca88a83768ffa5adc42a0b

tdf#136385 sw: fix Undo of changing anchor type

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Stahl (allotropia) 2020-10-20 20:11:53 UTC
fixed on master (revert 09c24681a3414092fde50ec0f617c9f7c79e8a61 to check)
Comment 5 Xisco Faulí 2020-10-21 12:34:16 UTC
Hello Telesto, Michael S.
The option achor to page is not available for me. What am I missing ?
Comment 6 Xisco Faulí 2020-10-21 12:43:31 UTC
(In reply to Xisco Faulí from comment #5)
> Hello Telesto, Michael S.
> The option achor to page is not available for me. What am I missing ?

oh, it was removed as a consequence of bug 135836, but why ?
Comment 7 Commit Notification 2020-10-21 13:32:56 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/4e7b60682d48c7f3950e341c496dc7fc6f9b4367

tdf#136385 sw: fix Undo of changing anchor type

It will be available in 7.0.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Telesto 2020-10-21 14:24:32 UTC
(In reply to Xisco Faulí from comment #6)
> (In reply to Xisco Faulí from comment #5)
> > Hello Telesto, Michael S.
> > The option achor to page is not available for me. What am I missing ?
> 
> oh, it was removed as a consequence of bug 135836, but why ?

Removed, bit overstatement. It's still present in position and style dialog. And can be re-added (I hope/think) with customization

They to page anchoring has certain 'features' being stuck on specific page and such. And have seen people use it as replacement for other anchoring types, without knowing what it actually does.

See also they ask pointer in bug 135836 (with Mike is view), but if there starts to be an angry mob I'm to blame for that.
Comment 9 Commit Notification 2020-10-22 11:35:56 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/16e3dfccb7314af9b65f80684965d8c3f6d0d099

tdf#136385: sw_uiwriter: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2020-10-26 15:43:02 UTC
Unittest added, setting to VERIFIED

@Michael Stahl, thanks for fixing this issue!!